function [] = exe_PlotGraphs(ts,xs)
% exe_PlotGraphs.m
%
% Plot graphs to help develop and test algorithms
%
% Revision history
% 211201 Drafted
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global N_alp N_psi N_dalp N_dpsi N_trq_cmd N_trq_apl N_p0
global N_stay
global trq_max
global B_goal

N_PLOT	= 100;

s_Angle([N_alp,N_psi]) = {'alpha','psi'};
tend = ts(end);
x_	= xs(:,end);
%--- angles
g01 = figure(N_PLOT+ 1);
clf
	subplot(2,1,N_alp);
	plot(ts,xs(N_alp,:)*180/pi,'k.-');
	set(gca,'FontSize',12);
	ylabel(sprintf('%s [deg]',s_Angle{N_alp}));
	xlim([0,tend]);
%	ylim(ylim01(1,:));
	grid
	xlabel('time [s]');
	subplot(2,1,N_psi);
	plot(ts,xs(N_psi,:)*180/pi,'k.-');
	set(gca,'FontSize',12);
	ylabel(sprintf('%s [deg]',s_Angle{N_psi}));
	xlim([0,tend]);
%	ylim(ylim01(2,:));
	grid
	title('(angles)');
	set(gcf,'Position',[527 507 400 321]);

%--- anglular velocities
g02 = figure(N_PLOT+ 2);
ylim02 = [-10, 10;-10, 10;-10, 10];
clf
	subplot(2,1,N_alp);
	plot(ts,xs(N_dalp,:)*180/pi,'k.-');
	set(gca,'FontSize',12);
	ylabel(sprintf('d%s [deg/s]',s_Angle{N_alp}));
	xlim([0,tend]);
%	ylim(ylim01(1,:));
	grid
	xlabel('time [s]');
	subplot(2,1,N_psi);
	plot(ts,xs(N_dpsi,:)*180/pi,'k.-');
	set(gca,'FontSize',12);
	ylabel(sprintf('d%s [deg/s]',s_Angle{N_psi}));
	xlim([0,tend]);
%	ylim(ylim02(2,:));
	grid
	title('(anglular velocities)');
	set(gcf,'Position',[928 508 442 320]);

%--- wheel torque
g03 = figure(N_PLOT+ 3);
ylim03 = [-10, 10;-10, 10;-10, 10];
clf
	plot(ts,-xs(N_trq_cmd,:),'k--');
	hold on
	plot(ts,-xs(N_trq_apl,:),'b.-');
	plot(ts([1,end]), trq_max*[1,1],'r-.'), 
	plot(ts([1,end]),-trq_max*[1,1],'r-.'), 
	legend('commanded','applied','location','best');
	set(gca,'FontSize',12);
	ylabel(sprintf('wheel torque [Nm]'));
	xlim([0,tend]);
	ylim([-2*trq_max,2*trq_max]);
%	ylim(ylim03(1,:));
	grid
	title('(control input)');
	xlabel('time [s]');
	set(gcf,'Position',[12 42 404 279]);

%--- contact point
g04 = figure(N_PLOT+ 4);
%ylim04 = [-10, 10;-10, 10;-10, 10];
for i = 1:length(ts),
	p0_L(i)	= norm(xs(N_p0,i));
end
clf
	plot(ts,p0_L,'k.-');
	hold on
	plot(ts([1,end]),(B_goal(1)+B_goal(2))*[1,1],'r-.'), 
	plot(ts([1,end]),(B_goal(1)-B_goal(2))*[1,1],'r-.'), 
	set(gca,'FontSize',12);
	ylabel(sprintf('Contact point [s]'));
	xlim([0,tend]);
%	ylim(ylim04(1,:));
	grid
	xlabel('time [s]');
	set(gcf,'Position',[417 40 445 281]);

%--- contact point
g05 = figure(N_PLOT+ 5);
%ylim05 = [-10, 10;-10, 10;-10, 10];
clf
	plot(ts,xs(N_stay,:),'k.-');
	hold on
	plot(ts([1,end]),B_goal(3)*[1,1],'r-.'), 
	set(gca,'FontSize',12);
	ylabel(sprintf('Stay time within Area B [s]'));
	xlim([0,tend]);
%	ylim(ylim05(1,:));
	grid
	xlabel('time [s]');
	set(gcf,'Position',[860 38 419 285]);
	