function [] = exe_RefreshScreen()
% exe_RefreshScreen.m
%
% Refresh Screen
%
% Revision history
% 211201 Drafted
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
global x_ t_
global m1 m2 r1 r2 I1 I2 c1 c2 g trq_max
global N_alp N_psi N_dalp N_dpsi N_trq_cmd N_trq_apl N_p0 N_p1 N_p2
global N_stay N_penalty
global SW_LNR_DYN ANG_delta B_goal

% --- wheel
wheel_outer	= r1*1.0*[cos([0:0.1:2*pi,2*pi]);sin([0:0.1:2*pi,2*pi])];
wheel_inner	= r1*0.8*[cos([0:0.1:2*pi,2*pi]);sin([0:0.1:2*pi,2*pi])];

% --- saddle
saddle		= r2/16*[ 7, 8, 8,-8,-8,-7, 7;...
					 -4,-3, 4, 4,-3,-4,-4];

% ---
p0		= x_(N_p0);
p1		= x_(N_p1);
p2		= x_(N_p2);
alp			= x_(N_alp);

% ---
saddle	= [cos(alp), sin(alp);-sin(alp), cos(alp)]*saddle;

figure(110);
clf
set(gcf,'Position',[10 407 560 420]);
plot((B_goal(1)+B_goal(2)*16)*cos(ANG_delta)*[-1,0],...
	 (B_goal(1)+B_goal(2)*16)*sin(ANG_delta)*[-1,0],...
	 'g-','LineWidth',2.0);
hold on
plot([(B_goal(1)-B_goal(2)),(B_goal(1)+B_goal(2)*16)]*cos(ANG_delta),...
	 [(B_goal(1)-B_goal(2)),(B_goal(1)+B_goal(2)*16)]*sin(ANG_delta),...
	 'g-','LineWidth',2.0);
plot((B_goal(1)+[-B_goal(2), B_goal(2)])*cos(ANG_delta),...
	 (B_goal(1)+[-B_goal(2), B_goal(2)])*sin(ANG_delta),...
	 'g-','LineWidth',8.0);
plot((B_goal(1)-B_goal(2))*cos(ANG_delta)*[0,1],...
	 (B_goal(1)-B_goal(2))*sin(ANG_delta)*[0,1],...
	 'k--','LineWidth',4.0);
xlim_L	= xlim;
axis('equal');
set(gca,'YTickLabel','');
set(gca,'FontSize',14);
% --- draw the moon cycler
fill(p1(1)+wheel_outer(1,:),p1(2)+wheel_outer(2,:),'b');
fill(p1(1)+wheel_inner(1,:),p1(2)+wheel_inner(2,:),'w');
fill(p2(1)+saddle(1,:),     p2(2)+saddle(2,:),     'm');
plot([p1(1),p2(1)],[p1(2),p2(2)],'m-','LineWidth',4);
% --- display current time in black, penalty time in red, and stay time in blue
ht = text((B_goal(1)+B_goal(2)*6),(B_goal(1)+B_goal(2)*12),sprintf('%4.1f s',t_));
set(ht,'FontSize',18);
ht = text((B_goal(1)+B_goal(2)*6),(B_goal(1)+B_goal(2)* 9),sprintf('current'));
set(ht,'FontSize',12);
ht = text((B_goal(1)+B_goal(2)*6),(B_goal(1)+B_goal(2)* 7),sprintf('time'));
set(ht,'FontSize',12);
ht = text((B_goal(1)-B_goal(2)*4),(B_goal(1)+B_goal(2)*12),...
	sprintf('%4.1f s',x_(N_penalty)));
set(ht,'FontSize',18);
set(ht,'Color',[1,0,0]);
ht = text((B_goal(1)-B_goal(2)*4),(B_goal(1)+B_goal(2)* 9),...
	sprintf('penalty'));
set(ht,'FontSize',12);
set(ht,'Color',[1,0,0]);
ht = text((B_goal(1)-B_goal(2)*4),(B_goal(1)+B_goal(2)* 7),...
	sprintf('time'));
set(ht,'FontSize',12);
set(ht,'Color',[1,0,0]);
ht = text((B_goal(1)-B_goal(2)*16),(B_goal(1)+B_goal(2)*12),...
	sprintf('%4.1f s',x_(N_stay)));
set(ht,'FontSize',18);
set(ht,'Color',[0,0,1]);
ht = text((B_goal(1)-B_goal(2)*16),(B_goal(1)+B_goal(2)* 9),...
	sprintf('stay'));
set(ht,'FontSize',12);
set(ht,'Color',[0,0,1]);
ht = text((B_goal(1)-B_goal(2)*16),(B_goal(1)+B_goal(2)* 7),...
	sprintf('time'));
set(ht,'FontSize',12);
set(ht,'Color',[0,0,1]);
% --- display some lables
ht = text((B_goal(1)-B_goal(2)*2),(0-B_goal(2)*1.5),sprintf('Area B'));
set(ht,'FontSize',18);
set(ht,'Color',[0,1,0]);
plot([0,0],B_goal(2)/2*[-1,1],'g-','LineWidth',2.0);
ht = text((0-B_goal(2)*10),(0-B_goal(2)*1.5),sprintf('Point A'));
set(ht,'FontSize',18);
set(ht,'Color',[0,1,0]);
ht = text((B_goal(1)/2-B_goal(2)*5),(0-B_goal(2)*1.5),sprintf('moon'));
set(ht,'FontSize',18);
set(ht,'Color',[0,0,0]);
ht = text((B_goal(1)/2-B_goal(2)*5),(0-B_goal(2)*3.5),sprintf('surface'));
set(ht,'FontSize',18);
set(ht,'Color',[0,0,0]);
